## adjtimex 1.29

=== debian/changelog ===
adjtimex (1.29-9) unstable; urgency=medium

  * debian/patches:
      - Add 07 patch to update manpage adjtimex.8:
        . Add a few new timex status from kernel parameter.
          Thanks to Chris Hiestand <chiestand@salk.edu>. (Closes: #759399)
        . Update the example to explain --frequency calculation.
          Thanks to Marco Marongiu <brontolinux@gmail.com>.
          (Closes: #743444)
  * debian/contrib:
      - Add a contrib script to calculate frequency from NTP drift file.
        Thanks to <sacrificial-spam-address@horizon.com>. (Closes: #397182)

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 29 Oct 2016 20:56:42 +0900

adjtimex (1.29-8) unstable; urgency=medium

  * debian/patches:
      - Improve precision. Thanks Christopher Alexander Tobias Schulze.
        (Closes: #633082).
      - Update patches to make compatible with "gbp pq" command.
  * Upgrade to support debhelper 10
  * debian/copyright:
      - Update URL to make use of https instead of http, when possible
  * debian/control:
      - Add lsb-base as dependency to package shadowsocks-libev, since
        the init script sources /lib/lsb/init-functions utility functions
      - Bump policy version to 3.9.8 (no actual change required)
  * debian/adjtimex.service:
      - Add documentation line. Thanks to lintian.
  * debian/rules:
      - Add a few comments
      - Remove hardening setting already enabled by default since compat=9

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 23 Oct 2016 11:31:38 +0900

adjtimex (1.29-7) unstable; urgency=medium

  * remove the wrong debian/dirs line in changelog of previous version 1.29-6
  * debian/patches:
      - Replace patch 03 with the one by Bjarni I. Gislason, which also
        minimizes the time of lock over "/dev/rtc" (Closes: #724929).
      - Fix potential uninitialized memory accessing
        (thanks peppe <g1pi@libero.it>, Closes: #688933).
      - Avoid a few gcc warnings
  * debian/copyright: Add copyright for newly added patch
  * debian/adjtimexconfig:
      - Move tmp file during executing from /etc to /tmp.
      - Code clean up.
  * debian/templates + debian/config + debian/po + debian/NEWS:
      - Remove the debconf whether to start adjtimex on startup, which now
        depends on the existence of /etc/default/adjtimex file. By default,
        there's no /etc/default/adjtimex, which is generated by running:
        adjtimexconfig.
      - adjtimexconfig is still a choice in defconf, but change to false by
        default because it takes 70 seconds to execute on install/upgrade.
  * debian/postinst:
      - Refrain from running adjtimexconfig on configure, which is triggered by
        each install/upgrade
      - Refrain from starting adjtimex service on configure (Closes: #785208).
      - Code clean up.
  * debian/postrm:
      - Code clean up.
  * debian/adjtimex.init + debian/adjtimex.service: Start adjtimex service
      on startup only if config file /etc/default/adjtimex is ready.
  * debian/adjtimexconfig.8: Update man page

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 17 Dec 2015 01:38:08 +0900

adjtimex (1.29-6) unstable; urgency=medium

  * New maintainer (Closes: #636404).
  * debian/adjtimex.service: add systemd service (Closes: #796588).
  * debian/control: limit "Architecture" to linux-any
  * debian/patches/:
    - change the patching order to follow 01->02->03
    - 03-remove-a-few-unused-variable-to-avoid-gcc-warnings.patch:
      remove a few unused variables to avoid gcc warnings.
  * debian/watch: update to use real upstream's URL
  * remove unnecessary debian/dirs file

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 03 Dec 2015 01:04:06 +0900

adjtimex (1.29-5) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * debian/copyright:
      - Dropping dot-zero from GPL license short name.
      - Updated the packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 May 2015 16:40:45 -0300

adjtimex (1.29-4) experimental; urgency=medium

  * QA upload.
  * Bumped Standards-Version to 3.9.6.
  * debian/control: removed an extra space from Depends field.
  * debian/copyright: migrated to 1.0 (DEP5) format.
  * debian/patches/:
      - 01-makefile.in-ldflags.diff: improved to allow full GCC hardening.
      - 02-fix-manpage: added to fix some hyphen used as minus sign.
  * debian/rules:
      - Added the '-f' option to 'rm' command in override_dh_clean target.
      - Added the variable 'DEB_BUILD_MAINT_OPTIONS' to add all flags
        requested by blhc command.
  * debian/watch: added a fake site to explain about the current
      status of the original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 18 Nov 2014 09:31:06 -0200

adjtimex (1.29-3) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/postinst:
    - Fix extended regexp to avoid removing /etc/default/adjtimex on
      upgrades. Closes: #688368.
    - Fix character class syntax in extended regexp. Closes: #630812.
    - Check if conffile exists before reading it. 
  * patches/01-makefile.in-ldflags.diff: add LDFLAGS to Makefile.in.
  * Set debhelper compatibility level to 9.
  * Rewrite debian/rules using dh(1) with autoreconf.
  * Source /lib/lsb/init-functions in init.d script.
  * Bump Standards-Version to 3.9.5.

 -- Emanuele Rocca <ema@debian.org>  Fri, 28 Mar 2014 15:59:46 +0100

adjtimex (1.29-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make the package multiarch-ready: add build-arch and build-indep
    build targets
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #601529
    - Brazilian Portuguese (Flamarion Jorge).  Closes: #610409
    - Dutch (Michiel Sikkes).  Closes: #625744

 -- Christian Perrier <bubulle@debian.org>  Mon, 04 Jul 2011 07:06:43 +0200

adjtimex (1.29-2.1) unstable; urgency=low

  * Non-maintainer upload.

