=== debian/control ===
Source: adjtimex
Section: admin
Priority: optional
Maintainer: Roger Shimizu <rogershimizu@gmail.com>
Build-Depends:
 debhelper (>= 10),
 po-debconf
Standards-Version: 3.9.8
Homepage: http://metalab.unc.edu/pub/Linux/system/admin/time
Vcs-Git: https://github.com/rogers0/adjtimex.git
Vcs-Browser: https://github.com/rogers0/adjtimex

Package: adjtimex
Architecture: linux-any
Depends:
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: ntpdate
Description: kernel time variables configuration utility
 This package provides a utility to manipulate the kernel time
 variables.  For a machine connected to the Internet, or equipped with
 a precision oscillator or radio clock, the best way to keep the
 system clock accurate is using NTP (Network Time Protocol).  However,
 for a standalone or intermittently connected machine, you may use
 adjtimex instead to at least correct for systematic drift.  It can
 optionally adjust the system clock using the CMOS clock as a
 reference, and can log times for long-term estimation of drift rates.
