=== debian/watch ===
version=3
http://metalab.unc.edu/pub/Linux/system/admin/time/adjtimex-(.+)\.tar\.gz
